<?php 
 include_once 'php/config.php';
  include_once '../header.php';

 
?>

   
    <html>
      <head>
          <style>
              td, th, .btn {
                  font-size:18px;
              }
              
              *{
                   font-size:18px;
              }
          </style>
        
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <meta name="viewport" content="width=device-width">
<meta name="mobile-web-app-capable" content="yes">

<div class="container"><br>
<span class="text-rojo" style="font-size:25px"><i class="fa fa-boxes"></i> Detalles de pedidos</span>


<hr>


<form action="" method="POST">
<div class="row">
	<div class="col-xs-2 mt-2 col-md-1"><b>Desde</b></div>
	<div class="col-xs-4 col-md-2"><input type="Date" id="fecha1" name="fecha1" class="form-control mt-2" value="<?php echo $hoy;?>"></div>
	
	<div class="col-xs-2 col-md-1 mt-2"><b>Hasta</b></div>
	<div class="col-xs-4 col-md-2"><input type="Date" id="fecha2" name="fecha2" class="form-control mt-2" value="<?php echo $hoy;?>"></div>
	</div>
	 <hr>
	<div class="row">
	<div class="col-md-12"><button class="btn btn-verde mt-2" name="btn_cosulta"><i class="fa fa-coins"></i> Consultar</button>
	<button  class="btn btn-default mt-2" name="pr"><i class="bi bi-printer"></i> Imprimir</button>
	
	<a class="btn btn-default mt-2" href="pedidos.php"><i class="bi bi-home"></i> Atras</a> </div>
	</div>

<br>
 
 
 <div class="row">
  <div class="col-md-12">
	<div class="table-responsive">
	<table class="table table-hover table-striped">
	<th>PRODUCTO</th><th>CANTIDAD</th><th>TOTAL</th>
		<?php 
		
		if(isSet($_POST["btn_cosulta"])){
			include_once '../php/config.php';
			$fecha1 = $_POST["fecha1"];
			$fecha2 = $_POST["fecha2"];
			$usuario = $_COOKIE["usuario"];
			$itotal =0 ;
			$sql1 = mysql_query("select DISTINCT descripcion  from   detalle_venta where fecha between '$fecha1' and '$fecha2' and pedido=1") or die(mysql_error());
			while($row1 = mysql_fetch_array($sql1)){
				echo "<tr>";
				$nombre = $row1["descripcion"];
				$codigo = $row1["codigo"];
			
				echo "<td>$nombre</td>";
				
				echo "<td>".get_cantidad($nombre, $fecha1, $fecha2)."</td>";
			
				echo "<td>".get_total($nombre, $fecha1, $fecha2)."</td>";
			
			
			
				echo "</tr>";
			
				
				
			}
			
		}
		
		
		
		
		function get_cantidad($nombre, $fecha1, $fecha2){
		
			$sql2 = mysql_query("select sum(cantidad) as total from detalle_venta where descripcion='$nombre'  and fecha between '$fecha1' and '$fecha2' and pedido=1") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
		
			return $total[0];
		}
		
			function get_total($nombre, $fecha1, $fecha2){
		
			$sql2 = mysql_query("select sum(total_precio) as total from detalle_venta where descripcion='$nombre'  and fecha between '$fecha1' and '$fecha2' and pedido=1") or die(mysql_error());
			$total =mysql_fetch_row($sql2);
			
		
			return $total[0];
		}
		
		
	
			if(isSet($_POST["pr"])){
			   $fecha1 =  $_POST["fecha1"];
			   $fecha2 =  $_POST["fecha2"];
			    
			   echo "<script>window.location.href='pedidos_productos_print.php?fecha1=$fecha1&fecha2=$fecha2&usuario=$suaurio'</script>";
			}
		
		?>
		
	<tfoot>
	
	</tfoot>	
	</table>
	<br>


	</div>
  </div>
 </div>
</form>

</div>